Subject: Re: [Sipping] PUBLISH in SIP Performance Report Event

From: Cullen Jennings <[email-masked]>
Date: Sat, 11 Dec 2004 11:25:16 -0800

Just hypothetically if we did have a response code that say's don't send me
that publish ... I'm not sure it would work out all that well

Let say A send publish to B and B sends back a error saying "I will not eat
it Sam I am". What is A supposed to do. Cache this forever on it's
infinitely long Turing tape? Seriously, I doubt anyone will do anything with
this error except just discard it. How could B say, you know I just upgraded
my software and now I really would like to get those publishes that I used
to refuse?

On 11/18/04 4:16 PM, "Dean Willis" <[email-masked]> wrote:

> Paul Kyzivat wrote:
> 
>> 
>> A 603 may be appropriate.
>> 
>> Or how about a 480 with an extremely large (e.g. many years)
>> Retry-After time? The semantics aren't quite right, but the effect
>> should be.
>> 
>> I am somewhat concerned that the level of detail in our error codes
>> may be too high, so that we are constantly having to assign new ones
>> from a limited namespace.
>> 
> Aren't we saying "I am disallowing your PUBLISH request at this time.
> Don't bother me again unless you have reason to think the situation has
> changed."
> 
> How is that different from 405 "The method specified in the Request-Line
> is understood, but not allowed for the address identified by the
> Request-URI.".
> 
> --
> Dean
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP